// Persistence of Vision Ray Tracer Scene Description File
// File: deathrat.pov
// Vers: 3.01 Watcom Win32
// Desc: The Death of Rats
// Date: August 14, 1997
// Auth: Sonya Roberts
// Note:

object {
	union {
		blob {						// Cowled Robe
			threshold .75
			cylinder {<0,0,0>,<0,1.5,0>,.5,1}						// Column
			sphere {<0,0,0>,.75,.75	scale <1.5,1.5,1.25>}					// Flare at Bottom
			sphere {<0,1.55,.075>,.15,1}							// Peak of Hood
			sphere {<0,0,0>,.2,-1	scale <.75,1,1.75>	translate <0,1.45,-.2>}		// Opening in Hood
			sphere {<0,0,0>,.25,1	scale <1.5,1.75,.75>	translate <0,1,0>}		// Chest
			cylinder {<0,.75,0>,<0,0,.35>,.15,1}						// Tail Opening
			sphere {<0,0,.4>,.15,1}
			sphere {<0,0,0>,.1,-1	scale <.75,.75,1.5>	translate <0,0,.45>}
			cylinder {<-.35,1.1,0>,<.35,1.1,0>,.2,1}					// Shoulders
			sphere {<-.35,1.1,0>,.175,1}							// Right Sleeve
			cylinder {<-.35,1.1,0>,<-.55,.65,0>,.175,1}
			sphere {<-.55,.65,0>,.25,1}
			sphere {<0,0,0>,.2,-1	scale <1,2,1>	translate <-.55,.55,0>}
			sphere {<.35,1.1,0>,.165,1}							// Left Sleeve
			cylinder {<.35,1.1,0>,<.55,.65,0>,.175,1}
			sphere {<.55,.65,0>,.25,1}
			sphere {<0,0,0>,.2,-1	scale <1,2,1>	translate <.55,.55,0>}
			texture {TweedFabric	scale <.1,.1,.1>}
		}
		blob {						// Rat Skeleton
			threshold .75
			sphere {<0,1.45,0>,.4,1}							// Skull
			cylinder {<0,1.45,0>,<0,1,.05>,.1,1}						// Neck
			cylinder {<0,1.45,0>,<0,1.35,-.25>,.1,1}					// Nose
			sphere {<0,0,0>,.05,-1	scale <1,1,2>	translate <-.08,1.475,-.1>}		// Eye Sockets
			sphere {<0,0,0>,.05,-1	scale <1,1,2>	translate <.08,1.475,-.1>}
			sphere {<0,0,0>,.05,-1	scale <.5,1,3>	rotate x*-5	translate <-.0325,1.4,-.25>}// Nostrils
			sphere {<0,0,0>,.05,-1	scale <.5,1,3>	rotate x*-5	translate <.0325,1.4,-.25>}
			sphere {<0,0,0>,.075,-1	scale <.2,2.5,6>	translate <0,1.35,-.25>}	// Cranial Split
			sphere {<0,0,0>,.075,-1	scale <2,.25,1.5> rotate x*-25	translate <0,1.325,-.25>}// Jaw
			cylinder {<-.55,.65,0>,<-.575,.6,.03>,.04,1}					// Right Finger Bones
			cylinder {<-.575,.6,.03>,<-.575,.55,.02>,.04,1}
			cylinder {<-.55,.65,0>,<-.6,.575,-.03>,.04,1}
			cylinder {<-.6,.575,-.03>,<-.575,.525,-.04>,.04,1}
			cylinder {<.55,.65,0>,<.575,.6,.03>,.04,1}					// Left Finger Bones
			cylinder {<.575,.6,.03>,<.575,.55,.02>,.04,1}
			cylinder {<.55,.65,0>,<.6,.575,-.03>,.04,1}
			cylinder {<.6,.575,-.03>,<.575,.525,-.04>,.04,1}
			cylinder {<0,.02,.4>,<0,.02,.5>,.045,1}						// Tail
			cylinder {<0,.02,.5>,<0,.04,.55>,.0425,1}
			cylinder {<0,.04,.55>,<0,.06,.6>,.04,1}
			cylinder {<0,.06,.6>,<0,.075,.65>,.0375,1}
			cylinder {<0,.075,.65>,<.025,.1,.7>,.035,1}
			cylinder {<.025,.1,.7>,<.05,.125,.725>,.0325,1}
			cylinder {<.05,.125,.725>,<.05,.175,.75>,.03,1}
			pigment {color Wheat*1.1}
		}
		union {						// Scythe
			union {					// Handle
				cylinder {<0,0,0>,<0,1.5,0>,.025}
				cylinder {<-.3,1,0>,<.025,1,0>,.0245}
				texture {T_Wood3	scale <.5,.5,.5>}
			}
			difference {				// Blade
				intersection {
					sphere {<0,0,0>,1	scale <1,1,.1>}
					box {<-1,.5,-.11>,<0,1.1,.11>}
				}
				sphere {<0,0,0>,1	scale <1,.25,.125>	translate <0,.5,-.075>}
				sphere {<0,0,0>,1	scale <1,.25,.125>	translate <0,.5,.075>}
				translate <0,-.5,0>
				scale <.8,.5,.5>
				translate <.025,1.35,0>
				texture {T_Chrome_5C}
			}
			translate <0,-.85,0>
			rotate y*60
			rotate x*-70
			translate <-.55,.6,0>
		}
	}
	rotate y*-105
	translate <-3,0,-7.5>
}

