// Persistence of Vision Ray Tracer Scene Description File
// File: escapee.pov
// Vers: 3.01 Watcom Win32
// Desc: Escappe From The Dungeon Dimension
// Date: August 15, 1997
// Auth: Sonya Roberts
// Note:

object {
	union {
		blob {
			threshold .75
			cylinder {<0,.3,.15>,<0,.5,0>,.22,1		pigment {color Black}}			// Neck
			cylinder {<0,.5,0>,<0,.75,-.25>,.2,1		pigment {color Gray50}}
			cylinder {<0,.75,-.25>,<0,.85,-.5>,.2,1		pigment {color DarkOliveGreen}}
			sphere {<0,.9,-.6>,.5,1				pigment {color YellowGreen*.5}}		// Head
			sphere {<0,.7,-.8>,.275,1			pigment {color YellowGreen}}		// Muzzle
			sphere {<0,.6,-.95>,.175,1			pigment {color YellowGreen}}
			sphere {<0,.5,-1>,.1,1			pigment {color Gray75}}
			sphere {<-.2,.85,-.65>,.15,1			pigment {color LightBlue}}		// Eye Bulges
			sphere {<-.3,.85,-.65>,.125,-1			pigment {color LightBlue}}
			sphere {<.2,.85,-.65>,.15,1			pigment {color LightBlue}}
			sphere {<.3,.85,-.65>,.125,-1			pigment {color LightBlue}}
			sphere {<0,0,0>,.2,1	scale <.5,1.5,2>	translate <0,.55,-.5>	pigment {color Red}}	// Wattle
			sphere {<0,0,0>,1,.75	scale <.85,.75,1.25>	rotate x*-45	translate <0,0,-.2>	pigment {color Flesh}}	// Belly
			sphere {<0,0,0>,1,.5	scale <1,1,.75>		translate <0,0,.2>	pigment {color Black}}	// Back
			sphere {<0,-.25,.25>,.5,1			pigment {color VeryDarkBrown}}		// Tail
			cylinder {<0,-.25,.25>,<.1,-.5,.6>,.4,1		pigment {color DarkBrown}}
			cylinder {<.1,-.5,.6>,<.1,-.7,.9>,.3,1		pigment {color Salmon}}
			cylinder {<.1,-.7,.9>,<0,-.85,1.15>,.225,1	pigment {color DarkTan}}
			cylinder {<0,-.85,1.15>,<-.075,-1.35,1>,.175,1	pigment {color MediumWood}}
			cylinder {<-.5,.3,.15>,<.5,.3,-.15>,.2,1	pigment {color Black}}			// Shoulders
			sphere {<-.5,.3,.15>,.15,1			pigment {color Black}}			// Right Arm
			cylinder {<-.5,.3,.15>,<-.75,-.2,.4>,.15,1	pigment {color DarkOliveGreen}}
			cylinder {<-.6,.3,.15>,<-.75,-.2,.4>,.15,.5	pigment {color OldGold}}
			cylinder {<-.75,-.2,.4>,<-.85,-.5,-.1>,.15,1	pigment {color YellowGreen*.5}}
			cylinder {<-.85,-.5,-.1>,<-.9,-.55,-.4>,.05,1	pigment {color DustyRose}}		// Left Hand
			cylinder {<-.85,-.5,-.1>,<-.9,-.65,-.35>,.05,1	pigment {color DustyRose}}
			cylinder {<-.85,-.5,-.1>,<-.9,-.75,-.3>,.05,1	pigment {color DustyRose}}
			cylinder {<-.9,-.55,-.4>,<-.8,-.55,-.45>,.05,1	pigment {color Red}}
			cylinder {<-.9,-.65,-.35>,<-.8,-.65,-.4>.05,1	pigment {color Red}}
			cylinder {<-.9,-.75,-.3>,<-.8,-.75,-.35>.05,1	pigment {color Red}}
			sphere {<.5,.3,-.15>,.15,1			pigment {color Black}}			// Left Arm
			cylinder {<.5,.3,-.15>,<.75,-.2,-.4>,.15,1	pigment {color DarkOliveGreen}}
			cylinder {<.6,.3,-.15>,<.75,-.2,-.4>,.15,.5	pigment {color OldGold}}
			cylinder {<.75,-.2,-.4>,<.85,.1,-.9>,.15,1	pigment {color YellowGreen*.5}}
			cylinder {<.85,.1,-.9>,<.9,.3,-1.1>,.05,1	pigment {color DustyRose}}		// Left Hand
			cylinder {<.85,.1,-.9>,<.9,.2,-1.2>,.05,1	pigment {color DustyRose}}
			cylinder {<.85,.1,-.9>,<.9,.1,-1.1>,.05,1	pigment {color DustyRose}}
			cylinder {<.9,.3,-1.1>,<.8,.3,-1.15>,.05,1	pigment {color Red}}
			cylinder {<.9,.2,-1.2>,<.8,.2,-1.25>,.05,1	pigment {color Red}}
			cylinder {<.9,.1,-1.1>,<.8,.1,-1.15>,.05,1	pigment {color Red}}
			sphere {<-.25,-.25,-.1>,.25,1			pigment {color Black}}			// Right Leg
			cylinder {<-.25,-.25,-.1>,<-.26,-.2,-.75>,.2,1	pigment {color Gray25}}
			cylinder {<-.4,-.25,-.1>,<-.26,-.2,-.75>,.15,.5	pigment {color YellowGreen*.5}}
			cylinder {<-.26,-.2,-.75>,<-.24,-.95,-.725>,.15,1	pigment {color DarkOliveGreen}}
			cylinder {<-.36,-.2,-.75>,<-.24,-.95,-.725>,.1,.5	pigment {color OldGold}}
			cylinder {<-.24,-.95,-.725>,<-.54,-1,-1>,.1,1	pigment {color OldGold}}		// Right Toes
			cylinder {<-.54,-1,-1>,<-.64,-1.05,-1.05>,.05,1	pigment {color MediumGoldenrod}}
			cylinder {<-.24,-.95,-.725>,<-.24,-1,-1>,.1,1	pigment {color OldGold}}
			cylinder {<-.24,-1,-1>,<-.24,-1.05,-1.05>,.05,1	pigment {color MediumGoldenrod}}
			cylinder {<-.24,-.95,-.725>,<-.04,-1,-1>,.1,1	pigment {color OldGold}}
			cylinder {<-.04,-1,-1>,<.06,-1.05,-1.05>,.05,1	pigment {color MediumGoldenrod}}
			sphere {<.25,-.25,.1>,.25,1			pigment {color Black}}			// Left Leg
			cylinder {<.25,-.25,.1>,<.25,-.75,0>,.2,1	pigment {color Gray25}}
			cylinder {<.4,-.25,.1>,<.25,-.75,0>,.15,.5	pigment {color YellowGreen*.5}}
			cylinder {<.25,-.75,0>,<.2,-1,.65>,.15,1	pigment {color DarkOliveGreen}}
			cylinder {<.35,-.75,0>,<.2,-1,.65>,.1,.5	pigment {color OldGold}}
			cylinder {<.2,-1,.65>,<.4,-1.1,.75>,.1,1	pigment {color OldGold}}		// Left Toes
			cylinder {<.4,-1.1,.75>,<.5,-1.15,.8>,.05,1	pigment {color MediumGoldenrod}}
			cylinder {<.2,-1,.65>,<.2,-1.1,.75>,.1,1	pigment {color OldGold}}
			cylinder {<.2,-1.1,.75>,<.2,-1.15,.8>,.05,1	pigment {color MediumGoldenrod}}
			cylinder {<.2,-1,.65>,<0,-1.1,.75>,.1,1		pigment {color OldGold}}
			cylinder {<0,-1.1,.75>,<-.1,-1.15,.8>,.05,1	pigment {color MediumGoldenrod}}
			cylinder {<-.1,1,-.5>,<-.3,1.25,0>,.1,1		pigment {color White}}			// Spines
			cylinder {<.1,1,-.5>,<.3,1.25,0>,.1,1		pigment {color White}}
			cylinder {<-.45,.3,.15>,<-.7,.55,.175>,.1,1	pigment {color White}}
			cylinder {<.45,.3,-.15>,<.7,.55,-.175>,.1,1	pigment {color White}}
			sturm
		}
		union {
			sphere {<-.3,.85,-.65>,.12}	// Eyes
			sphere {<.3,.85,-.65>,.12}
			texture {T_Silver_4C}
		}
		scale <.75,.75,.75>
		rotate y*7
		translate <0,1.5,0>
		translate <1,0,-6.75>
	}
}
